Index: main/udptl.c
===================================================================
--- main/udptl.c	(revision 370796)
+++ main/udptl.c	(working copy)
@@ -666,6 +666,7 @@
 	int res;
 	struct ast_sockaddr addr;
 	uint8_t *buf;
+	struct ast_frame *current_frame, *next_frame;
 
 	buf = udptl->rawdata + AST_FRIENDLY_OFFSET;
 
@@ -715,6 +716,14 @@
 		return &ast_null_frame;
 	}
 
+	current_frame = &udptl->f[0];
+	for (next_frame = AST_LIST_NEXT(current_frame, frame_list);
+		current_frame;
+		current_frame = next_frame, next_frame = current_frame ? AST_LIST_NEXT(current_frame, frame_list) : NULL) {
+		if (current_frame->datalen != 0 && current_frame->data.ptr == NULL)
+			return &ast_null_frame;
+	}
+
 	return &udptl->f[0];
 }
 
